Get a dashboard folder
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/dashboards/folders/v1/{folder_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/dashboards/folders/v1/{folder_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/dashboards/folders/v1/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder": {
"id": "<string>",
"name": "<string>",
"parentId": "<string>"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Dashboard Folders Service
Get a dashboard folder
Returns a dashboard folder data.
Requires the following permissions:
team-dashboards:Read
Get a dashboard folder
Authorizations
API key authentication
Path Parameters
The folder id.
Required string length:
36Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Query Parameters
Optional client-supplied request identifier used to correlate the get folder request.
Required string length:
1 - 128Pattern:
^[\s\S]*$Response
Response containing the details of a dashboard folder.
Dashboard folder.
Show child attributes
Show child attributes
Was this page helpful?
⌘I